Subject: [IPP] Feedback on RFC 2910bis: clarification requested on meaning of out-of-band values

From: "Kennedy, Smith (Wireless Architect)" <[email-masked]>
Date: Fri, 4 Mar 2016 06:39:44 +0000

Hi there,

RFC 2910 section 3.5.2 is not clear about the intended purpose and associated semantic meaning for the 'no-value' or 'unknown' out-of-band values.  Mike provided me with a clear description of these values' meanings.  I think these definitions ought to be included in the RFC 2910 update (2910bis).  Here's the explanation Mike provided:

> "unknown" means (semantically) there is a physical/intrinsic value (location, level, etc.) but the value is not currently known.  "no-value" means there is no (configured) value.

Here are 2 possible places where I think it might be inserted:

>                       Table 3: Out of Band Values
> << INSERT EXPLANATION HERE >>
>   Table 4 specifies the integer values for the "value-tag" field:
> 
> 

or here:

>   Note: An attribute value always has a type, which is explicitly
>   specified by its tag; one such tag value is "nameWithoutLanguage".
>   An attribute's name has an implicit type, which is keyword.
> 
> << INSERT EXPLANATION HERE >>
> 
>   The values 0x60-0xFF are reserved for future type definitions in
>   standards track documents.
> 

Any objections?

Smith

/**
    Smith Kennedy
    Wireless Architect - Client Software - IPG-PPS
    Standards - IEEE ISTO PWG / Bluetooth SIG / Wi-Fi Alliance / NFC Forum / USB IF
    PWG Chair
    HP Inc.
*/

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp